For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETList service accounts.
      • POSTCreate a service account.
      • PUTUpdate a service account.
      • DELDelete a service account.
      • GETList all tokens for a service account.
      • POSTCreate a token for a service account.
      • DELDelete a token for a service account.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIService accounts

Create a service account.

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/service-account
POST
/api/admin/service-account
$curl -X POST https://app.unleash-instance.example.com/api/admin/service-account \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "username": "service-account-1",
> "name": "Service Account 1",
> "rootRole": 1
>}'
1{
2 "id": 54321,
3 "name": "My Service Account",
4 "username": "my-service-account",
5 "imageUrl": "https://example.com/my-service-account.png",
6 "rootRole": 1,
7 "createdAt": "2021-01-01T00:00:00.000Z",
8 "tokens": [
9 {
10 "id": 1,
11 "createdAt": "2023-04-19T08:15:14.000Z",
12 "description": "user:xyzrandomstring",
13 "expiresAt": "2023-04-19T08:15:14.000Z",
14 "secret": "user:xyzrandomstring",
15 "seenAt": "2023-04-19T08:15:14.000Z",
16 "userId": 1337
17 }
18 ],
19 "isAPI": false,
20 "email": "noemail@getunleash.io",
21 "inviteLink": "https://example.com/invite-link",
22 "loginAttempts": 0,
23 "emailSent": false,
24 "seenAt": null
25}

Enterprise feature

Creates a new service account.

Was this page helpful?
Previous

Update a service account.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

#/components/schemas/createServiceAccountSchema

usernamestringRequired
The username of the service account
namestringRequired
The name of the service account
rootRoleintegerRequired
The id of the root role for the service account

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
iddouble
The service account id
namestring
The name of the service account
usernamestring
The service account username
imageUrlstring
The service account image url
rootRoleinteger
The root role id associated with the service account
createdAtstringformat: "date-time"
The service account creation date
tokenslist of objects
The list of tokens associated with the service account
isAPIbooleanDeprecated

Deprecated: for internal use only, should not be exposed through the API

emailstringDeprecated

Deprecated: service accounts don’t have emails associated with them

inviteLinkstringDeprecated

Deprecated: service accounts cannot be invited via an invitation link

loginAttemptsdoubleDeprecated

Deprecated: service accounts cannot log in to Unleash

emailSentbooleanDeprecated

Deprecated: internal use only

seenAtstring or nullformat: "date-time"Deprecated

Deprecated. This property is always null. To find out when a service account was last seen, check its tokens list and refer to each token’s lastSeen property instead.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
415
Unsupported Media Type Error